# [![Text Mask](assets/logo.png)](https://github.com/text-mask/text-mask/#readme)

[![Build Status](https://travis-ci.org/text-mask/text-mask.svg?branch=master)](https://travis-ci.org/text-mask/text-mask)

Text Mask is an input mask library. It can create input masks for phone, date, currency, zip code, percentage, email, 
and literally anything!

There are convenient wrappers for React, Angular 2, Ember, and Vue.

## Live demo

See it in action, [check out the demo page](https://text-mask.github.io/text-mask/).

## Installation and usage

* [React](react#readme)
* [Angular 2](angular2#readme) or [Angular 1](angular1#readme)
* [Ember](ember#readme)
* [Vue](vue#readme)
* [Vanilla JS](vanilla#readme)

## Expected to work with...

IE9+, Android, Samsung Internet, Windows Phone, iOS, Opera, Firefox, Safari, and Chrome

## Flexible

Text Mask is very configurable and allows you to create any type of input mask with minimal APIs.
[See the documentation for details](https://github.com/text-mask/text-mask/blob/master/componentDocumentation.md#readme).

## Extendable

You can easily expand the base functionality of Text Mask with addons for more mask types. 
[Checkout existing addons](https://github.com/text-mask/text-mask/tree/master/addons/#readme).

## Robust

Text Mask supports pasting, browser auto-fill, and all operations that a user would expect while interacting with
an input field.

It works on mobile, has no 3rd party dependencies, and has a tiny footprint (less than 4KB gzipped).

## For any questions, suggestions, or feature requests

[Please file an issue](https://github.com/text-mask/text-mask/issues)!
